VismaBouwsoftAPICalls.v1_PUT_OrderCommissions Method
v1_PUT_OrderCommissions() as String

This API call is used to update fields of a(n) OrderCommission

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /OrderCommissions/{id}

You make this API call with the key field id as the path parameter (the id of the OrderCommission you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
order_id 1 tpLong 0 Yes No No
description 2 tpString 250 No Yes No
address_id 1 tpLong 0 No Yes No
address_name 2 tpString 150 No No No
employee_id 1 tpLong 0 No Yes No
employee_name 2 tpString 150 No No No
amount 8 tpCurrency 0 No Yes No
percent 13 tpPercent 0 No Yes No
applyto_order 5 tpBool 0 No Yes No
applyto_chapter 1 tpLong 0 No Yes No
applyto_part 1 tpLong 0 No Yes No
applyto_group 2 tpString 100 No Yes No
application_localized 2 tpString 0 No No No

/OrderCommissions/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderCommissions/1462

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: GPVfWxfrVbzSftDbVfzRqlGUfkrAGfPtfbtbzOAOOIOftlkVbr

Query Parameters :
ParameterName: columns, ParameterValue: employee_id=454,percent=1

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 1462,
    "employee_id": 454,
    "employee_name": "APITest",
    "percent": 1
  }
]
}